+ Responder ao Tópico



  1. #1
    TuxWerine

    Caras apelo por ajuda. Tenho um CL10 e quando eu ponho para instalar qualquer tipo de programa ele faz o percurso quase completo mais antes do termino ele da uma lista enorme de erros. Tanto no modo texto (o apt-get ), quanto no modo grafico (o Synaptic ), já tentei instalar pelo "rpm -ivh", mais dá a mesma coisa.
    O erro é assim.

    rpmdb: PANIC: Argumento inválido
    rpmdb: fatal region error detected; run recovery
    error: db4 error(-30982) from dbcursor->c_put: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: fatal region error detected; run recovery
    error: db4 error(-30982) from db->sync: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: fatal region error detected; run recovery
    error: db4 error(-30982) from dbcursor->c_close: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: fatal region error detected; run recovery
    error: db4 error(-30982) from db->sync: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: fatal region error detected; run recovery
    error: db4 error(-30982) from db->cursor: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: fatal region error detected; run recovery
    error: db4 error(-30982) from db->get: DB_RUNRECOVERY: Fatal error, run database recovery
    error: error(-30982) getting "db4-devel" records from Name index
    rpmdb: fatal region error detected; run recovery
    error: db4 error(-30982) from db->sync: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: fatal region error detected; run recovery
    error: db4 error(-30982) from db->cursor: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: fatal region error detected; run recovery


    E isso não é nem o começo. A lista se estende por kmtros.
    Oque eu faço?

  2. É algum problema de permissão isso aí. Cheque o link:

    http://subversion.tigris.org/project...l#wedged-repos



  3. #3
    TuxWerine
    Bah já resolvi o problema.
    Um cara do Orkut me ajudou.
    Era só dar os comandos como root
    Valeu já descobri o que era um cara em outro forum no orkut me passou.

    rm -f /var/lib/rpm/__db*
    db_verify /var/lib/rpm/Packages
    rpm --rebuilddb

    Mesmo assim muito obrigado cara.

  4. Faz o seguinte... muda pra Slackware ou Debian!!! hua hua!! :-D

    Brincadeirinha!! É que realmente tenho aversão a esta distro!!

    mtec :-o






Tópicos Similares

  1. Não consigo instalar nada no Debian 4.0 etch
    Por diegobtp no fórum Sistemas Operacionais
    Respostas: 0
    Último Post: 09-06-2008, 22:01
  2. Não consigo instalar Apache no Linux (Suse 10.0)
    Por ester no fórum Servidores de Rede
    Respostas: 1
    Último Post: 04-10-2007, 18:23
  3. Não consigo instalar sarg no debian 4.0
    Por lfernandosg no fórum Servidores de Rede
    Respostas: 2
    Último Post: 05-07-2007, 08:20
  4. Não consigo instalar pacotes no Debian
    Por no fórum Servidores de Rede
    Respostas: 4
    Último Post: 28-06-2005, 09:02
  5. Não consigo instalar pacotes no Conectiva 8
    Por lessandronp no fórum Servidores de Rede
    Respostas: 2
    Último Post: 09-08-2003, 18:04

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L